Package org.eclipse.rdf4j.query.resultio

## Class BooleanQueryResultFormat

- java.lang.Object
- - org.eclipse.rdf4j.common.lang.FileFormat
  - - org.eclipse.rdf4j.query.resultio.QueryResultFormat
    - - org.eclipse.rdf4j.query.resultio.BooleanQueryResultFormat

-     public class BooleanQueryResultFormat
      extends QueryResultFormat

  Represents the concept of a boolean query result serialization format. Boolean query result formats are identified by a `name` and can have one or more associated MIME types, zero or more associated file extensions and can specify a (default) character encoding.
  Author:
    Arjohn Kampman

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static BooleanQueryResultFormat` | `JSON` | SPARQL Query Results JSON Format.
    `static BooleanQueryResultFormat` | `SPARQL` | SPARQL Query Results XML Format.
    `static BooleanQueryResultFormat` | `TEXT` | Plain text encoding using values "true" and "false" (case-insensitive).

    - ### Fields inherited from class org.eclipse.rdf4j.query.resultio.QueryResultFormat

      `SPARQL_RESULTS_CSV_URI, SPARQL_RESULTS_JSON_URI, SPARQL_RESULTS_TSV_URI, SPARQL_RESULTS_XML_URI`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BooleanQueryResultFormat​(String name, String mimeType, String fileExt)` | Creates a new BooleanQueryResultFormat object.
    `BooleanQueryResultFormat​(String name, String mimeType, Charset charset, String fileExt)` | Creates a new BooleanQueryResultFormat object.
    `BooleanQueryResultFormat​(String name, Collection<String> mimeTypes, Charset charset, Collection<String> fileExtensions)` | Creates a new BooleanQueryResultFormat object.
    `BooleanQueryResultFormat​(String name, Collection<String> mimeTypes, Charset charset, Collection<String> fileExtensions, IRI standardURI)` | Creates a new BooleanQueryResultFormat object.

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.rdf4j.query.resultio.QueryResultFormat

      `getStandardURI, hasStandardURI`

    - ### Methods inherited from class org.eclipse.rdf4j.common.lang.FileFormat

      `equals, getCharset, getDefaultFileExtension, getDefaultMIMEType, getFileExtensions, getMIMETypes, getName, hasCharset, hasDefaultFileExtension, hasDefaultMIMEType, hasFileExtension, hashCode, hasMIMEType, matchFileName, matchMIMEType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SPARQL

          public static final BooleanQueryResultFormat SPARQL

      SPARQL Query Results XML Format.

    - #### JSON

          public static final BooleanQueryResultFormat JSON

      SPARQL Query Results JSON Format.

    - #### TEXT

          public static final BooleanQueryResultFormat TEXT

      Plain text encoding using values "true" and "false" (case-insensitive).

  - ### Constructor Detail

    - #### BooleanQueryResultFormat

          public BooleanQueryResultFormat​(String name,
                                          String mimeType,
                                          String fileExt)

      Creates a new BooleanQueryResultFormat object.
      Parameters:
        `name` - The name of the format, e.g. "SPARQL/XML".
        `mimeType` - The MIME type of the format, e.g. application/sparql-results+xml for the SPARQL/XML format.
        `fileExt` - The (default) file extension for the format, e.g. srx for SPARQL/XML.

    - #### BooleanQueryResultFormat

          public BooleanQueryResultFormat​(String name,
                                          String mimeType,
                                          Charset charset,
                                          String fileExt)

      Creates a new BooleanQueryResultFormat object.
      Parameters:
        `name` - The name of the format, e.g. "SPARQL/XML".
        `mimeType` - The MIME type of the format, e.g. application/sparql-results+xml for the SPARQL/XML format.
        `charset` - The default character encoding of the format. Specify null if not applicable.
        `fileExt` - The (default) file extension for the format, e.g. srx for SPARQL/XML.

    - #### BooleanQueryResultFormat

          public BooleanQueryResultFormat​(String name,
                                          Collection<String> mimeTypes,
                                          Charset charset,
                                          Collection<String> fileExtensions)

      Creates a new BooleanQueryResultFormat object.
      Parameters:
        `name` - The name of the format, e.g. "SPARQL/XML".
        `mimeTypes` - The MIME types of the format, e.g. application/sparql-results+xml for the SPARQL/XML format. The first item in the list is interpreted as the default MIME type for the format.
        `charset` - The default character encoding of the format. Specify null if not applicable.
        `fileExtensions` - The format's file extensions, e.g. srx for SPARQL/XML files. The first item in the list is interpreted as the default file extension for the format.

    - #### BooleanQueryResultFormat

          public BooleanQueryResultFormat​(String name,
                                          Collection<String> mimeTypes,
                                          Charset charset,
                                          Collection<String> fileExtensions,
                                          IRI standardURI)

      Creates a new BooleanQueryResultFormat object.
      Parameters:
        `name` - The name of the format, e.g. "SPARQL/XML".
        `mimeTypes` - The MIME types of the format, e.g. application/sparql-results+xml for the SPARQL/XML format. The first item in the list is interpreted as the default MIME type for the format.
        `charset` - The default character encoding of the format. Specify null if not applicable.
        `fileExtensions` - The format's file extensions, e.g. srx for SPARQL/XML files. The first item in the list is interpreted as the default file extension for the format.
        `standardURI` - The standard URI that has been assigned to this format by a standards organisation or null if it does not currently have a standard URI.